petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscCalloc1

Allocates a cleared (zeroed) array of memory aligned to PETSC_MEMALIGN

### Synopsis

    #include <petscsys.h>
    PetscErrorCode PetscCalloc1(size_t m1,type **r1)

Not Collective

### Input Parameter

m1 -number of elements to allocate in 1st chunk (may be zero)

### Output Parameter

r1 -memory allocated in first chunk

### See Also

PetscFree(), PetscNew(), PetscMalloc(), PetscMalloc1(), PetscCalloc2()

Level:developer
Location:include/petscsys.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages